# spell-checker:ignore bcond pkgversion buildrequires autosetup PYTHONPATH noarch buildroot bindir sitelib numprocesses clib
# All tests require Internet access
# to test in mock use:  --enable-network --with check
# to test in a privileged environment use:
#   --with check --with privileged_tests
%bcond_with     check
%bcond_with     privileged_tests

Name:           ansible-compat
Version:        24.10.1.dev18
Release:        1.20250107155424569106.pr443.18.g898054d%{?dist}
Summary:        Ansible-compat library

License:        GPL-3.0-or-later
URL:            https://github.com/ansible/ansible-compat
Source0:        ansible_compat-24.10.1.dev18.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
%if %{with check}
# These are required for tests:
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-xdist
BuildRequires:  python%{python3_pkgversion}-libselinux
BuildRequires:  git-core
%endif
Requires:       git-core


%description
Ansible-compat.

%prep
%autosetup -n ansible_compat-24.10.1.dev18


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ansible_compat


%check
%pyproject_check_import
%if %{with check}
%pytest \
  -v \
  --disable-pytest-warnings \
  --numprocesses=auto \
  test
%endif


%files -f %{pyproject_files}
%license LICENSE
%doc docs/ README.md

%changelog
* Tue Jan 07 2025 Packit <hello@packit.dev> - 24.10.1.dev18-1.20250107155424569106.pr443.18.g898054d
- chore: auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- Drop support for python 3.9 and ansible 2.14/2.15 (Sorin Sbarnea)
- Enable toml-sort-fix (#442) (Sorin Sbarnea)
- Enable ruff preview rules (#441) (Sorin Sbarnea)
- chore: pre-commit autoupdate (#440) (pre-commit-ci[bot])
- Refactor search_galaxy_paths to use pathlib (#437) (Sorin Sbarnea)
- Bump the dependencies group in /.config with 2 updates (#438) (dependabot[bot])
- Bump the dependencies group in /.config with 5 updates (#435) (dependabot[bot])
- Bump the dependencies group in /.config with 5 updates (#434) (dependabot[bot])
- Use ubuntu 24.04 instead of 22.04 for testing (#432) (Sorin Sbarnea)
- Bump certifi from 2024.8.30 to 2024.12.14 in /.config in the dependencies group (#433) (dependabot[bot])
- Use reusable tox workflow (#431) (Sorin Sbarnea)
- Bump the dependencies group in /.config with 3 updates (#430) (dependabot[bot])
- chore: pre-commit autoupdate (#427) (pre-commit-ci[bot])
- Exclude pip check command for docs in tox.ini file (#428) (Abhinav Anand)
- Update prettier (#429) (Ajinkya Udgirkar)
- Bump the dependencies group in /.config with 5 updates (#426) (dependabot[bot])
- Bump the dependencies group across 1 directory with 3 updates (#425) (dependabot[bot])

* Tue Jan 07 2025 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: auto fixes from pre-commit.com hooks

* Tue Jan 07 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Drop support for python 3.9 and ansible 2.14/2.15

* Tue Jan 07 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Enable toml-sort-fix (#442)

* Tue Jan 07 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Enable ruff preview rules (#441)

* Mon Jan 06 2025 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#440)

* Mon Jan 06 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Refactor search_galaxy_paths to use pathlib (#437)

* Sun Jan 05 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 2 updates (#438)

* Mon Dec 30 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 5 updates (#435)

* Sun Dec 22 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 5 updates (#434)

* Mon Dec 16 2024 Sorin Sbarnea ssbarnea@redhat.com 
- Use ubuntu 24.04 instead of 22.04 for testing (#432)

* Mon Dec 16 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump certifi from 2024.8.30 to 2024.12.14 in /.config in the dependencies group (#433)

* Thu Dec 12 2024 Sorin Sbarnea ssbarnea@redhat.com 
- Use reusable tox workflow (#431)

* Wed Dec 11 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 3 updates (#430)

* Fri Dec 06 2024 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#427)

* Fri Dec 06 2024 Abhinav Anand abanand@redhat.com 
- Exclude pip check command for docs in tox.ini file (#428)

* Fri Dec 06 2024 Ajinkya Udgirkar ajinkyaudgirkar@gmail.com 
- Update prettier (#429)

* Sun Dec 01 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 5 updates (#426)

* Sun Nov 24 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group across 1 directory with 3 updates (#425)

* Sun Nov 10 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 5 updates (#421)

* Tue Nov 05 2024 Sorin Sbarnea ssbarnea@redhat.com 
- Add support for py313 (#416)

